[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.AddChildObjectFirst

AddChildObjectFirst - adds a node with specified text and data as the first child of the parent node, and returns the new node

## Declaration

Source position: comctrls.pp line 2278

`public function TTreeNodes.AddChildObjectFirst(`
`ParentNode: TTreeNode;`
`const S: String;`
`Data: Pointer`
`):TTreeNode;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .